#define ADC0						0
#define ADC1						1
#define ADC2						2
#define ADC3						3
#define ADC4						4
#define ADC5						5
#define ADC6						6
#define ADC7						7


void ADC_Initialize(void)
{
	ADC12CTL1 = SHS_1 + SHP + CONSEQ_0; 
	ADC12MCTL0 = SREF_1+INCH_0;	
  	ADC12CTL0 = SHT0_2 + ADC12ON;         // Set sampling time, turn on ADC12
  	
	//ADC12CTL0 = SHT0_8 + ADC12ON + ENC;  // config ADC12

	TACCTL1 = OUTMOD_4;                    // Toggle on EQU1 (TAR = 0)
	TACTL = TASSEL_2 + MC_2;               // SMCLK, cont-mode
}

unsigned int AdcRead(unsigned char Channel)
{
	Cbi(ADC12CTL0, ENC);
	//ADC12MCTL0 = SREF_1+Channel;                      // Channel A10, Vref+	
	ADC12MCTL0 = Channel;                      // Channel A10, Vref+	
	Sbi(ADC12CTL0, ENC);
	
	while (!(0x01 & ADC12IFG));                         // First conversion?
	
	return ADC12MEM0;                            // Read out 1st ADC value	
}