#ifdef GLCDHAL_EXPBOARD
#define LCD_DI						BIT3		
#define LCD_RW						BIT0		
#define LCD_EN						BIT0		
#define LCD_CS1						BIT0		
#define LCD_CS2		
#define LCD_BACK	


#define LCD_RDON()
#define LCD_RDOFF()

#define LCD_RSON()					Sbi(P5OUT, LCD_DI)	
#define LCD_RSOFF()					Cbi(P5OUT, LCD_DI)
#define LCD_RSINIT()				Sbi(P5DIR, LCD_DI)

#define LCD_CS1ON()					Sbi(P5OUT, LCD_CS1)	
#define LCD_CS1OFF()				Cbi(P5OUT, LCD_CS1)
#define LCD_CS1INIT()				Sbi(P5DIR, LCD_CS1)
 
#define LCD_CS2ON()					SbiShiftData(LCD_CS2)	
#define LCD_CS2OFF()				CbiShiftData(LCD_CS2)

#define LCD_ENABLE()				SbiShiftData(LCD_EN)
#define LCD_DISABLE()				CbiShiftData(LCD_EN)



#define LCD_RST 					BIT7
#define LCD_RSTINIT() 				Sbi(P5DIR, LCD_RST)
#define LCD_RST1() 					Sbi(P5OUT, LCD_RST)
#define LCD_RST0() 					Cbi(P5OUT, LCD_RST)

#define LCD_CLK 					BIT1
#define LCD_CLKINIT() 				Sbi(P5DIR, LCD_CLK)
#define LCD_CLK1() 					Sbi(P5OUT, LCD_CLK)
#define LCD_CLK0() 					Cbi(P5OUT, LCD_CLK)

#define LCD_DAT 					BIT2
#define LCD_DATINIT() 				Sbi(P5DIR, LCD_DAT)
#define LCD_DAT1() 					Sbi(P5OUT, LCD_DAT)
#define LCD_DAT0() 					Cbi(P5OUT, LCD_DAT)
#endif


#ifdef GLCDHAL_HCAREBOARD
#define LCD_DI						BIT6		
#define LCD_RW						BIT0		
#define LCD_EN						BIT0		
#define LCD_CS1						BIT7		
#define LCD_CS2		
#define LCD_BACK	


#define LCD_RDON()
#define LCD_RDOFF()

#define LCD_RSON()					Sbi(P1OUT, LCD_DI)	
#define LCD_RSOFF()					Cbi(P1OUT, LCD_DI)
#define LCD_RSINIT()				Sbi(P1DIR, LCD_DI)

#define LCD_CS1ON()					Sbi(P1OUT, LCD_CS1)	
#define LCD_CS1OFF()				Cbi(P1OUT, LCD_CS1)
#define LCD_CS1INIT()				Sbi(P1DIR, LCD_CS1)
 
#define LCD_CS2ON()					SbiShiftData(LCD_CS2)	
#define LCD_CS2OFF()				CbiShiftData(LCD_CS2)

#define LCD_ENABLE()				SbiShiftData(LCD_EN)
#define LCD_DISABLE()				CbiShiftData(LCD_EN)

#define LCD_RST 					
#define LCD_RSTINIT() 				
#define LCD_RST1() 					
#define LCD_RST0() 					

#define LCD_CLK 					BIT6
#define LCD_CLKINIT() 				Sbi(P4DIR, LCD_CLK)
#define LCD_CLK1() 					Sbi(P4OUT, LCD_CLK)
#define LCD_CLK0() 					Cbi(P4OUT, LCD_CLK)

#define LCD_DAT 					BIT7
#define LCD_DATINIT() 				Sbi(P4DIR, LCD_DAT)
#define LCD_DAT1() 					Sbi(P4OUT, LCD_DAT)
#define LCD_DAT0() 					Cbi(P4OUT, LCD_DAT)
#endif